Redmine - Feature #29164

Make the terms overwrite from the Redmine administration screen.
2018-07-01 12:57 - Yuuki NARA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour

Target version:

Resolution:

Description

The function of Redmine is flexible, and it can be used in various ways in a wide range.
However, because the names of each term are fixed, it is not suitable for individual use, and it may be difficult to use Redmine.

If you add a mechanism to overwrite the definitions of terms on Redmine administration screen,
| think Redmine can be used to a wider range.

For example,
Each company's internal system, vertical market,

Create a yml file to overwrite the term definitions of each language and upload it from Redmine's administration screen.

Advantages of this function

Changing the term can be realized by editing the term file for each language, but has the following problem.
This function can solve the following problems.

When changing Redmine's own term file, it is necessary to edit the definition file every time.

It is necessary to operate on the terminal instead of the web management screen.
When using Redmine on SaaS, due to security policy restrictions of each organization, operation from termimal may not be possible.

Related issues:
Related to Redmine - Feature #17907: Give 'version' another meaning New

History

#1 - 2018-07-01 15:12 - Go MAEDA

- Category set to Administration

Currently, administrators can customize terms to fit their use case by modifying translation files (config/locales/*.yml). However, replacing YAML files
is not so easy for Redmine admins because they usually don't have shell access to their Redmine server, so they cannot update YAML files without
server admins' help.

What Yuuki Nara suggests is a feature to override default translation files by uploading customized YAML files on the administration page. Redmine
admins can easily change terms.

#2 - 2018-07-01 17:15 - Yuuki NARA

Go MAEDA ,Thanks for your comment.

Go MAEDA wrote:
What Yuuki Nara suggests is a feature to override default translation files by uploading customized YAML files on the administration page.
Redmine admins can easily change terms.

| do not consider replacing the entire term file.

My suggestion,

It registers a YML file which overwrites only a part of terms,
overwrites only the part defined there, and changes it.
This makes it possible to upgrade Redmine itself and change standard term file without any change work.

Define as below

Server adminstrator(who can shell access and priviledge) can change terms now,
Redmine administrator(who can redmine web administration screen only) cannot change terms now.

SaaS Redmine Administrator is positioned as Redmine administrator, not Server administrator.

| think the role of Server adminstrator is stable operation of Redmine and other systems, efficient resource management,
the role of Redmine administrator is to provide an environment where users can work efficiently using Redmine.

The term management is the role of Redmine administrator,
It is better for Redmine administrator to make it adjustable to terms that match the workplace.

Redmine itself can be used for various purposes.
It is difficult to use it in a single translated word as shown below.

| think that this function will be useful for broadening the use of Redmine

Give 'version' another meaning
http://www.redmine.org/issues/17907

#3 - 2018-09-20 15:41 - Go MAEDA

- Related to Feature #17907: Give 'version' another meaning added

#4 - 2018-09-28 09:31 - Mizuki ISHIKAWA

+1

#5 - 2019-05-29 06:06 - Mizuki ISHIKAWA

| made a plugin to use this feature.
http://www.redmine.org/plugins/redmine_message_customize
https://github.com/ishikawa999/redmine_message_customize
